---
title: <time>
slug: Web/CSS/time
tags:
  - CSS
  - CSS Data Type
  - Data Type
  - Layout
  - Reference
  - Web
---
<div>{{CSSRef}}</div>

<p>The <strong><code>&lt;time&gt;</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/CSS_Types">data type</a> represents a time value expressed in seconds or milliseconds. It is used in {{cssxref("animation")}}, {{cssxref("transition")}}, and related properties.</p>

<h2 id="Syntax">Syntax</h2>

<p>The <code>&lt;time&gt;</code> data type consists of a {{cssxref("&lt;number&gt;")}} followed by one of the units listed below. Optionally, it may be preceded by a single <code>+</code> or <code>-</code> sign. As with all dimensions, there is no space between the unit literal and the number.</p>

<div class="note">
<p><strong>Note:</strong> Although the number <code>0</code> is always the same regardless of unit, the unit may not be omitted. In other words, <code>0</code> is invalid and does not represent <code>0s</code> or <code>0ms</code>.</p>
</div>

<h3 id="Units">Units</h3>

<dl>
	<dt><strong><code id="s">s</code></strong></dt>
	<dd>Represents a time in seconds. Examples: <code>0s</code>, <code>1.5s</code>, <code>-60s</code>.</dd>
	<dt><strong><code id="ms">ms</code></strong></dt>
	<dd>Represents a time in milliseconds. Examples: <code>0ms</code>, <code>150.25ms</code>, <code>-60000ms</code>.</dd>
</dl>

<div class="note">
<p><strong>Note:</strong> Conversion between <code>s</code> and <code>ms</code> follows the logical <code>1s</code> = <code>1000ms</code>.</p>
</div>

<h2 id="Examples">Examples</h2>

<h3 id="Valid_times">Valid times</h3>

<pre class="notranslate">12s         Positive integer
-456ms      Negative integer
4.3ms       Non-integer
14mS        The unit is case-insensitive, although capital letters are not recommended.
+0s         Zero with a leading + and a unit
-0ms        Zero with a leading - and a unit
</pre>

<h3 id="Invalid_times">Invalid times</h3>

<pre class="example-bad notranslate">0           Although unitless zero is allowed for &lt;length&gt;s, it's invalid for &lt;time&gt;s.
12.0        This is a &lt;number&gt;, not a &lt;time&gt;, because it's missing a unit.
7 ms        No space is allowed between the number and the unit.
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('CSS4 Values','#time','&lt;time&gt;')}}</td>
			<td>{{Spec2('CSS4 Values')}}</td>
			<td></td>
		</tr>
		<tr>
			<td>{{SpecName('CSS3 Values','#time','&lt;time&gt;')}}</td>
			<td>{{Spec2('CSS3 Values')}}</td>
			<td>Normative definition of <code>s</code> and <code>ms</code>.</td>
		</tr>
		<tr>
			<td>{{SpecName('CSS2.1','aural.html#times','&lt;time&gt;')}}</td>
			<td>{{Spec2('CSS2.1')}}</td>
			<td>Informal definition of <code>s</code> and <code>ms</code>.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.types.time")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{cssxref("&lt;time-percentage&gt;")}}</li>
	<li><a href="/en-US/docs/Web/CSS/CSS_Values_and_Units">CSS Values and Units</a></li>
</ul>
